#!/bin/sh
mkdir -p build
clang++ -O3 -std=c++11 -Wall -stdlib=libstdc++ original.cpp -o build/original-clang
clang++ -std=c++11 -Wall -stdlib=libstdc++ original.cpp -o build/original-noO3-clang
clang++ -O3 -std=c++11 -Wall -stdlib=libstdc++ manually-unrolled.cpp -o build/manually-unrolled-clang
clang++ -O3 -std=c++11 -unroll-count=16 -Wall -stdlib=libstdc++ original.cpp -o build/compiler-unrolled-clang
clang++ -O3 -std=c++11 -Wall -stdlib=libstdc++ ADD-ED16.cpp -o build/ADD-ED16-clang
clang++ -O3 -std=c++11 -Wall -stdlib=libstdc++ ADD-ED32.cpp -o build/ADD-ED32-clang
clang++ -O3 -std=c++11 -Wall -stdlib=libstdc++ ADD-ED64.cpp -o build/ADD-ED64-clang
clang++ -std=c++11 -Wall -stdlib=libstdc++ ADD-ED16.cpp -o build/ADD-ED-noO3-clang
g++ -O3 -std=c++11 -Wall original.cpp -o build/original-gcc
g++ -std=c++11 -Wall original.cpp -o build/original-noO3-gcc
g++ -O3 -std=c++11 -Wall manually-unrolled.cpp -o build/manually-unrolled-gcc
g++ -O3 -std=c++11 -funroll-all-loops -Wall original.cpp -o build/compiler-unrolled-gcc
g++ -O3 -std=c++11 -Wall ADD-ED16.cpp -o build/ADD-ED16-gcc
g++ -O3 -std=c++11 -Wall ADD-ED32.cpp -o build/ADD-ED32-gcc
g++ -O3 -std=c++11 -Wall ADD-ED64.cpp -o build/ADD-ED64-gcc
g++ -std=c++11 -Wall ADD-ED16.cpp -o build/ADD-ED-noO3-gcc